Updates the user_skill_list object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "e6e1be8c-7e9a-41db-9688-fcd89195b990",
"user_id": "f93f3288-713a-463a-8781-ad29debe79cd",
"user_code": "sample string 3",
"user": {
"id": "6e126d3a-7bd8-46f9-930a-7e74e42f85af",
"db_language_id": "c410a1dd-322c-41d4-b30a-c624b2a604ad",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-14T19:57:03.4707099+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "2b27b5ee-5c8a-48e8-836c-bbf4a382760a",
"sales_organization": {
"id": "da5044f1-6dfd-45b1-908a-a07ce826082b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e1831aa1-58eb-4a37-b303-83170e0b97e1",
"db_currency_id": "19a5bd8b-98ab-4ab6-8237-1864229d9d81",
"db_language_id": "d6bbebed-c4f0-4a1e-8b3f-5e53f7fc1193",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T19:57:03.4707099+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "458fcc8e-f0df-4c1d-9088-afba6a61a1b7",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "fe9c9ead-718e-4340-a9d6-785f30c58624",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-14T19:57:03.4707099+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "86002b51-a0cf-48f3-a4ae-9c72ad47482f"
},
"skill_id": "c6db162a-bc58-4b0b-a27d-2f269e5ddba0",
"skill_code": "sample string 5",
"skill": {
"id": "6d0113ca-42bc-4dc7-8982-4b7bc75d9def",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "bd0fc6d4-6f3d-4323-a971-1ca4f29b7af2",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "da5044f1-6dfd-45b1-908a-a07ce826082b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e1831aa1-58eb-4a37-b303-83170e0b97e1",
"db_currency_id": "19a5bd8b-98ab-4ab6-8237-1864229d9d81",
"db_language_id": "d6bbebed-c4f0-4a1e-8b3f-5e53f7fc1193",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T19:57:03.4707099+00:00"
},
"modified_dateutc": "2026-10-14T19:57:03.4707099+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-10-14T19:57:03.4707099+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.